Subject: read-file-name-completion-ignore-case: who would still be looking for m when they typed M?

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Fri, 26 Feb 2021 01:32:04 +0800

Today let's talk about
read-file-name-completion-ignore-case .
(info "(emacs) Completion Options")

Well just like for search, if we type "m" we probably are looking for
both "M" and "m", but if we go through all the trouble of holding down
the SHIFT button to type "M" then we certainly are only looking for "M"
and would be out of our mind to also be looking for "m". (Or "into pain,
a pain freak.") Therefore read-file-name-completion-ignore-case needs
more options than just t and nil.

E.g., I have Makefile and murmurfile. Well if I set
read-file-name-completion-ignore-case to nil and type M TAB then of course I
am only wanting to complete Makefile.

P.S., C-h v read-file-name-completion-ignore-case doesn't say what its
original value was. Odd. Yes even though "it might differ on different
operating systems."
emacs-version "27.1"